List tax packets
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/tax-packets \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/tax-packets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/tax-packets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "Tax_Packet_Request",
"id": "<string>",
"business_id": "<string>",
"year": 123,
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"download_urls": {
"profit_and_loss": "<string>",
"general_ledger": "<string>",
"account_transactions": "<string>"
}
}
]
}{
"description": "<string>",
"meta": {}
}Tax Packets
List tax packets
Returns a list of tax packet requests for the business, optionally filtered by year or including archived requests.
GET
/
v1
/
businesses
/
{businessId}
/
reports
/
tax-packets
List tax packets
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to fetch tax packets for.
Query Parameters
Whether to include archived tax packet requests.
Filter tax packets by year.
Response
List of tax packet requests.
Show child attributes
Show child attributes
āI